<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "account_device_translations".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "AccountDeviceTranslations".
 *
 * Columns in table "account_device_translations" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $account_device_id
 * @property string $lang_id
 * @property string $initial_cta
 * @property string $referred_as_plural
 * @property string $referred_as
 *
 */
abstract class BaseAccountDeviceTranslations extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'account_device_translations';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'AccountDeviceTranslations|AccountDeviceTranslations', $n);
    }

    public static function representingColumn()
    {
        return 'lang_id';
    }

    public function rules()
    {
        return array(
            array('account_device_id', 'numerical', 'integerOnly' => true),
            array('lang_id', 'length', 'max' => 2),
            array('initial_cta, referred_as_plural, referred_as', 'length', 'max' => 255),
            array('account_device_id, lang_id, initial_cta, referred_as_plural, referred_as', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, account_device_id, lang_id, initial_cta, referred_as_plural, referred_as', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'account_device_id' => Yii::t('app', 'Account Device'),
            'lang_id' => Yii::t('app', 'Lang'),
            'initial_cta' => Yii::t('app', 'Initial Cta'),
            'referred_as_plural' => Yii::t('app', 'Referred As Plural'),
            'referred_as' => Yii::t('app', 'Referred As'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('account_device_id', $this->account_device_id);
        $criteria->compare('lang_id', $this->lang_id, true);
        $criteria->compare('initial_cta', $this->initial_cta, true);
        $criteria->compare('referred_as_plural', $this->referred_as_plural, true);
        $criteria->compare('referred_as', $this->referred_as, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
